Subject: Re: mount: HKEY_CURRENT_USER vs HKEY_LOCAL_MACHINE
From: [email-masked] (Andrew Lipnitsky)

9 Feb 1998 06:01:21 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: Cygnus Solution GnuWin32 Mail List <[email-masked]>
Cc: Vassilii Khachaturov <[email-masked]>

Hello Vasilii.

Vassilii Khachaturov wrote:

>

< -- sniped --- >

> All this diverges with the standard registry usage policies, where
> machine-installation-specific preferences are stored under
> HKEY_LOCAL_MACHINE (I think it's obvious that the root FS mount is
> machine-specific!),
> whereas user preferences, which are to be shared across several
> machines, are stored in the HKEY_CURRENT_USER hive. (E.g., LOGNAME).
> It
> also makes it much harder to make one user's profile be quickly copied
> &
> modified for other user's usage,
> as the other's userr workstation might simply not have the physical
> disk
> where the root mount of the 1st goes.
>
>

<  -- sniped -- >

> 2) Wouldn't it be nice for admin. purposes to have the mount info
> stored
> in HKEY_LOCAL_MACHINE?
> 3) How about a compromise solution --- have a similar key under
> HKEY_LOCAL_MACHINE, and check both, having user-specific preferences
> be
> read after the default ones (cf. the system and user PATH in win32)?

I fairly agree with you.
I think that main mount table must be in HKEY_LOCAL_MACHINE
and user specific mount table in HKEY_CURRENT_USER.

Andrew Lipnitsky.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".